All Frameworks Object Hierarchy This Framework Indexes
Use the HybridShapeFactory.AddNewCurveSmooth to create a HybridShapeCurveSmooth object.
o Property CorrectionMode( | ) As |
oMode
the correction mode
for the hybShpCurveSmooth
hybrid shape feature.
oMode = hybShpCurveSmooth.CorrectionMode
o Property CurvatureThresholdActivity( | ) As |
hybShpCurveSmooth
in CurvatureActivity
.
Dim CurvatureActivity as boolean CurvatureActivity = hybShpCurvePar.CurvatureThresholdActivity
o Property CurvatureThreshold( | ) As |
hybShpCurveSmooth
in CurvatureThH
.
Dim CurvatureThH as double CurvatureThH = hybShpCurvePar.CurvatureThreshold
o Property CurveToSmooth( | ) As |
hybShpCurveSmooth
in Curve
.
Dim Curve as CATIAReference Curve = hybShpCurvePar.CurveToSmooth
o Property EndExtremityContinuity( | ) As |
oContinuity
the continuity at the end extremity
for the hybShpCurveSmooth
hybrid shape feature.
oContinuity = hybShpCurveSmooth.EndExtremityContinuity
o Property MaximumDeviationActivity( | ) As |
hybShpCurveSmooth
in MaxActivity
.
Dim MaxActivity as boolean MaxActivity = hybShpCurvePar.MaximumDeviationActivity
o Property MaximumDeviation( | ) As (Read Only) |
hybShpCurveSmooth
in MaximumDeviationVal
.
Dim MaximumDeviationVal as CATIALength MaximumDeviationVal = hybShpCurvePar.MaximumDeviation
o Property StartExtremityContinuity( | ) As |
oContinuity
the continuity at the start extremity
for the hybShpCurveSmooth
hybrid shape feature.
oContinuity = hybShpCurveSmooth.StartExtremityContinuity
o Property Support( | ) As |
hybShpCurveSmooth
in Support
.
Dim Support as CATIAReference Support = ybShpCurveSmooth.Support
o Property TangencyThreshold( | ) As (Read Only) |
hybShpCurveSmooth
in AngleThH
.
Dim Curve as CATIAAngle AngleThH = ybShpCurveSmooth.TangencyThreshold
o Property TopologySimplificationActivity( | ) As |
hybShpCurveSmooth
in TopSimplifyAct
.
Dim TopSimplifyAct as boolean TopSimplifyAct = hybShpCurvePar.TogologySimplificationActivity
o Sub AddFrozenCurveSegment( | iCurve) |
iCurve
curve to the
hybShpCurveSmooth
object.
hybShpCurveSmooth.AddFrozenCurveSegment iCurve
o Sub AddFrozenPoint( | iPoint) |
iPoint
frozen point to the
hybShpCurveSmooth
object.
hybShpCurveSmooth.AddFrozenPoint iPoint
o Func GetFrozenCurveSegment( | iPos) As |
oCurve
Frozen Curve Segment of the
hybShpCurveSmooth
object at the position iPos
.
Dim oCurve As Reference Set oCurve = hybShpCurveSmooth.GetFrozenCurveSegment (iPos).
o Func GetFrozenCurveSegmentsSize( | ) As |
hybShpCurveSmooth
hybrid shape curve smooth.
Dim oSize As long oSize = hybShpCurveSmooth.GetFrozenCurveSegmentsSize
o Func GetFrozenPoint( | iPos) As |
oPoint
Frozen Point of the
hybShpCurveSmooth
object at the position iPos
.
Dim oPoint As Reference Set oPoint = hybShpCurveSmooth.GetFrozenPoint (iPos).
o Func GetFrozenPointsSize( | ) As |
hybShpCurveSmooth
hybrid shape curve smooth.
Dim oSize As long oSize = hybShpCurveSmooth.GetFrozenPointsSize
o Sub RemoveAllFrozenCurveSegments( | ) |
hybShpCurveSmooth
object.
hybShpCurveSmooth.RemoveAllFrozenCurveSegments
o Sub RemoveAllFrozenPoints( | ) |
hybShpCurveSmooth
object.
hybShpCurveSmooth.RemoveAllFrozenPoints
o Sub RemoveFrozenCurveSegment( | iCurve) |
hybShpCurveSmooth
object.
hybShpCurveSmooth.RemoveFrozenCurveSegment iCurve.
o Sub RemoveFrozenPoint( | iPoint) |
hybShpCurveSmooth
object.
hybShpCurveSmooth.RemoveFrozenPoint iPoint.
o Sub SetMaximumDeviation( | iMaxDeviation) |
o Sub SetTangencyThreshold( | iTangencyThreshold) |
Copyright © 2003, Dassault Systèmes. All rights reserved.